> For the complete documentation index, see [llms.txt](https://docs.interestprotocol.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interestprotocol.com/overview/sui/memez.gg/memez.fun/migrators.md).

# Migrators

## XPump

[Implementation](https://github.com/interest-protocol/memez-gg/blob/main/migrators/xpump/sources/xpump.move#L181)

The Blast.fun migrator creates a new pool on Bluefin and adds liquidity. The liquidity position is saved and can later be used by the Admin or developer to claim fees based on the configuration.

```rust
public fun migrate_to_new_pool_v3<Meme, Quote, CoinTypeFee>(
    config: &mut XPumpConfig,
    bluefin_config: &mut GlobalConfig,
    clock: &Clock,
    ipx_treasury: &IPXTreasuryStandard,
    meme_metadata: &CoinMetadata<Meme>,
    quote_metadata: &CoinMetadata<Quote>,
    migrator: MemezMigrator<Meme, Quote>,
    fee: Coin<CoinTypeFee>,
    ctx: &mut TxContext,
): Coin<Quote>
```

The Bluefin pool is initiated with the following parameters:

* <mark style="color:yellow;">**Tick Spacing:**</mark> 200.
* <mark style="color:yellow;">**Initialized Price:**</mark> Dynamically calculated based on the quote and meme coin balances to be added.
* <mark style="color:yellow;">**Tick Lower Index:**</mark> 4294523696
* <mark style="color:yellow;">**Tick Upper Index**</mark>: 443600
  * This is to ensure full range liquidity


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interestprotocol.com/overview/sui/memez.gg/memez.fun/migrators.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
